Subject: bug#55862: Removing indent-tabs-mode set to t by default

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jun 2022 08:38:08 +0300

> Date: Thu, 09 Jun 2022 03:19:01 +0000
> From:  goncholden via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Why is `indent-tabs-mode' t by default?  Tabs should not be used.

That depends on the major mode.  E.g., in text mode and its
derivatives this is turned off.  But in programming modes, many
languages accept TABs, so using them is not a bad idea, especially
since this is a long-standing Emacs default.

> I have been modifying bash scripts and the introduced tabs are driving me insane.

Maybe shell-mode should change its defaults, then.  I don't use that
too much, so I don't have an opinion.

Of course, arguing about defaults is many times futile, since changing
them is very easy.